# drone

> https://drone.io/

## Setup

### Pre-requisites

1. You have SSH access to dokku.autonomic.zone
1. You have sudo privilege escalation working

```
Host dokku.autonomic.zone
  Hostname dokku.autonomic.zone
  User <your-username>
  Port 222
  IdentityFile ~/.ssh/<your-ssh-key-private-file>
```

See the password-store under `autonomic-dokku` for your sudo password.

### Environment

1. Clone the [infrastructure repository](https://gitlab.com/autonomic-cooperative/infrastructure)
1. Copy the sample file: `cp .envrc.sample .envrc`
1. Ensure that the .envrc `PASSWORD_STORE_DIR` env var points to the `infrastructure/credentials/password-store`

### Python

You only need to do this if you're working with Ansible vault (encrypting/decrypting new secrets).

```bash
$ python3 -m venv .venv
$ source .venv/bin/activate
$ pip install -r requirements.txt
```

## Deploy

```bash
$ git remote add dokku dokku@dokku.autonomic.zone:drone
$ git push dokku
```
